Bug 1118652 - "Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)" is consumed with wrong quantity.
Summary: "Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)" is con...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 08:38 UTC by qianzhan
Modified: 2014-09-21 22:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 21:02:17 UTC


Attachments (Terms of Use)

Description qianzhan 2014-07-11 08:38:49 UTC
Description of problem:
"Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)" is consumed with wrong quantity.

Version-Release number of selected component (if applicable):
[root@dhcp-14-149 facts]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 1.4.3.26-1.el6sam_splice-Headpin
subscription-manager: 1.11.3-8.el5
python-rhsm: 1.11.3-4.el5

How reproducible:
2/2

Steps to Reproduce:
1. Register the system to SAM.
[root@dhcp-14-149 facts]# subscription-manager register
Username: admin
Password: 
The system has been registered with ID: aec45ba9-8d0c-4c7e-87a5-304ef321bcde 

2. Change the socket number as 8:
[root@dhcp-14-149 facts]# echo '{"cpu.cpu_socket(s)":"8", "virt.is_guest": "False"}' > /etc/rhsm/facts/sockets.facts

[root@dhcp-14-149 facts]# subscription-manager facts --update
Successfully updated the system facts.

[root@dhcp-14-149 facts]# subscription-manager facts | egrep "socket|core"
cpu.core(s)_per_socket: 1
cpu.cpu_socket(s): 8
cpu.thread(s)_per_core: 1
dmi.processor.socket_designation: CPU 1

3. Attach subscription "Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)", which socket limit is 2.

[root@dhcp-14-149 facts]# subscription-manager attach --pool 8ac200f5471968b8014719788e6a079b
Successfully attached a subscription for: Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)

4. Check the used quantity of the subscription:
[root@dhcp-14-149 facts]# rct cat-cert /etc/pki/entitlement/823172739596396694.pem | grep "Order" -A17
Order:
	Name: Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)
	Number: 
	SKU: RH00003
	Contract: 10471779
	Account: 5480518
	Service Level: Premium
	Service Type: L1-L3
	Quantity: 20
	Quantity Used: 8    <====================== wrong quantity
	Socket Limit: 2     <====================== socket limit is displayed 2.
	RAM Limit: 
	Core Limit: 
	Virt Only: False
	Stacking ID: RH00003
	Warning Period: 0
	Provides Management: False


[root@dhcp-14-149 facts]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server, Premium (Physical or Virtual Nodes)
Provides:          Oracle Java (for RHEL Server)
                   Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Server - Extended Update Support
                   Red Hat Enterprise Linux Server
                   Red Hat EUCJP Support (for RHEL Server) - Extended Update Support
                   Oracle Java (for RHEL Server) - Extended Update Support
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server) - Extended Update Support
                   Red Hat Beta
                   Red Hat Software Collections (for RHEL Server)
                   Red Hat Enterprise Linux High Availability (for RHEL Server) - Extended Update Support
                   Red Hat Developer Toolset (for RHEL Server)
                   Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux Load Balancer (for RHEL Server) - Extended Update Support
                   Red Hat S-JIS Support (for RHEL Server) - Extended Update Support
SKU:               RH00003
Contract:          10471779
Account:           5480518
Serial:            823172739596396694
Pool ID:           8ac200f5471968b8014719788e6a079b
Active:            True
Quantity Used:     8           <=========== wrong quantity
Service Level:     Premium
Service Type:      L1-L3
Status Details:    
Subscription Type: Instance Based
Starts:            12/31/2013
Ends:              12/30/2014
System Type:       Physical



Actual results:
As step 4, the subscription is socket limit as 2, and consumed 8 for a 8 socket machine.

Expected results:
The used quantity should be 4.

Additional info:

Comment 1 Chris Snyder 2014-07-15 21:02:17 UTC
This appears to be an instance based subscription.
"Subscription Type: Instance Based"

As such each PAIR covers [Socket Limit: 2] sockets. In this case you need 4 pair of subscriptions to be fully entitled.


Note You need to log in before you can comment on or make changes to this bug.